;*********************************************
; drivers TRDN for Spectrum 128 + ZXMC RTC   *
;*********************************************
.z80
.phase	5B00h
;
set_mem:	jr	mem 	;
get_clk:	jr	clock	;
;=============================================
		db    0
		db    6		;N pages
; memory pages
tab_m:		db	0	;
		db	1	;
		db	3	;
		db	4	;
		db	6	;
		db	7	;
		db	0FFh	;end tab  
;---------------------------------------------
; A = page (0...)
mem:		push	hl
		ld	hl,tab_m
		add	a, l
		ld	l, a
		ld	a, (hl)
		pop	hl
		cp	0FFh	;end ?
		scf		;CY=1
		ret	z	;error
		di	
		push	bc
		push	af
		and	10h
		ld	bc, 1FFDh
		out	(c), a
		pop	af
		or	10h
		ld	b, 7Fh	;
		out	(c), a
		pop	bc
		and	a	;CY=0
		ei
		ret		; OK
;============================================
include	zxmc_rtc.inc
.dephase
;
		end
