; gluk_rtc.inc
;**********************************************
;	  ᠬ  奬 GLUK
;**********************************************
;  ६    ଠ BIN:
; C - ᥪ㭤
; B - 
; E - 
; 室  ࢮ 맮
clock:	call	tst_bcd	; ࢮ 맮 ன
	ld	a,LOW (clock2-(get_clk+2))
	ld	(get_clk+1),a	; 
; 室  ᫥ 맮
clock2:	push	hl
	call	glk_new	; ६
	ld	hl,b_time
	ld	c,(hl)	;ᥪ㭤
	inc	hl
	ld	b,(hl)	;
	inc	hl
	ld	e,(hl)	;
	xor	a 	;CY=0
	pop	hl
	ret
;  ६, ᫨  
; Z=1, ᫨ ६ 
glk_new:call	gluk_on	; 
	call	gl_new	;᫨ , 
; 몫 
gluk_of:ld	a,00h	;D7=0 (RTC OFF)
	jr	glk_xx 
;  
gluk_on:ld	a,80h	;D7=1 (RTC ON)
glk_xx:	ld	bc,0eff7h
	out	(c),a
	ret
;=================================================
; ஢ ० ࠡ ᮢ BCD  BIN
tst_bcd:call	gluk_on
	ld	d,0Bh	;ॣ 0Bh
        call	rd_glk
        and	04h	; DM=BCD(0)/BIN(1)
	ld	a,0	;NOP
        jr	z,r_bin	;᫨ BCD
; ஢ 楤 ८ࠧ ᫨ BIN
	ld	a,0c9h	; RET
r_bin:  ld	(rd_o),a;
	jr	gluk_of	
;================================================
gl_new:	ld	d,0ch	;ॣ C
        call	rd_glk
        bit	4,a	;䫠  ६?
        ret	nz	;Z=0,  
;------------------------------------------------
glk_buf:ld	hl,b_time
        ld	d,0	; sec
        call	read_a
        ld	d,2    	; min
        call	read_a
        ld	d,4    	; hour
;--------------------------------------
read_a: call	readl	;
        ld	(hl),a	;
        inc	hl
        ret 
;--------------------------------------
readl:  call	rd_glk	; a=(d)
rd_o:	nop           	; bcd->bin ?
;****************************************************
;	a(BCD) => a(BIN) [00h..99h] -> [0..99]
;****************************************************
bcd2bin:
	ld	c,a		;室 ᫮ 00h..99h
; 訩  * 10
	and	0f0h		;訩 
	srl	a		;*8
	ld	b,a		;b=.*8
	srl	a		;*4
	srl	a		;a=.*2
	add	a,b		;
	ld	b,a		;b=(.)*(8+2)
;  訩 
	ld	a,c
	and	0fh		;訩 
	add	a,b		;a=BIN(a(BCD))
	ret
;--------------------------------------
;   ᮢ
rd_glk: ld	bc,0dff7h
        out	(c),d 
        ld	b,0bfh
        in	a,(c) 
        ret 
;======================================
b_time:	db	0,0,0		; ६
;======================================
; end gluk_rtc.inc
