; zxmc_rtc.inc
;*************************************
;    ॠ쭮 ६ ZXMCard
;	奬 PCF8583
;*************************************
;  RTC
CS_RTC	equ	0E0EFh	; ॣ /
			; d7 = 1 ணࠬ ;
			; d4 = 1 ६ ᬥ.
;   BCD-ଠ
S_RTC	equ	0E1EFh	; ॣ ᥪ㭤	00h..59h
M_RTC	equ	0E2EFh	; ॣ 		00h..59h
H_RTC	equ	0E3EFh	; ॣ ᮢ		00h..23h
D_RTC	equ	0E4EFh	; ॣ 		01h..31h
MS_RTC	equ	0E5EFh	; ॣ 楢	01h..12h
Y_RTC	equ	0E6EFh	; ॣ   2000	00h..99h
W_RTC	equ	0E7EFh	; ॣ  	01h..07h
;----------------------------------------------
; ࠬ ६  BCD-ଠ (7 )
;b_time:		; ६
;t_sec:	db	0	;1 ⥪ ᥪ㭤	  (0..59)
;t_min:	db	0	;2 ⥪ 	  (0..59)
;t_hour:db	0	;3 ⥪騩 		  (0..23)
;t_day:	db	0	;4    	  (1..31)
;t_monh:db	0	;5 ⥪騩     (1..12)
;t_year:db	0	;6 ⥪騩   2000	  (0..99)
;t_week:db	0	;7 ⥪騩  	  (1..7)
;----------------------------------------------
;  ६    ଠ BIN:
; C - ᥪ㭤
; B - 
; E - 
; 室  ࢮ 맮
clock:
; ஢ઠ ⠭  ZXMC
	ld	bc,CS_RTC	;ॣ 
	in	a,(c)		; CS_RTC
	cp	0ffh		; ZXMC ⠭?
	jr	nz,yes_mc	; 
; ᫨ ZXMC ,  ஢ ࠩ
	ld	a,0C9h		;RET
	ld	(get_clk),a
	scf			;CY=1 ->  RTC
	ret
;  ஢  室
yes_mc:	ld	a,LOW(clock2-(get_clk+2))
	ld	(get_clk+1),a	;  室
;-----------------------------------------------
; 室  ᫥ 맮
clock2:	push	hl
	call	rd_new		; ६  
	ld	hl,b_time	;
	ld	c,(hl)		;ᥪ㭤
	inc	hl
	ld	b,(hl)		;
	inc	hl
	ld	e,(hl)		;
	xor	a 		;CY=0
	pop	hl
	ret
;==============================================
;   ६
; Z=1,   
; Z=0,  ᮤন  ६
rd_new:	ld	bc,CS_RTC	;ॣ 
	in	a,(c)		; 
	bit	4,a		;䫠  ६ ?
	ret	z		;    Z=1
;  ॣ ᮢ
; hl -> ᨢ  (7)   BCD-ଠ
rd_buf:	ld	hl,b_time+2	;㪠⥫   ᮢ
rd_rtc:
; ⠥, 稭  ᫥ ॣ
	ld	bc,H_RTC	;ॣ ᮢ
	ld	a,3		; 3 
rd_cikl:
	ind			;(hl)=in(bc)
				;dec hl;dec b
	dec	a
	jr	nz,rd_cikl
;\---  横 ⥭ ॣ஢ RTC -----
; ८ࠧ  BIN-ଠ
	ld	hl,b_time
	ld	a,(hl)		;ᥪ㭤
	call	bcd2bin
	ld	(hl),a
	inc	hl
	ld	a,(hl)		;
	call	bcd2bin
	ld	(hl),a
	inc	hl
	ld	a,(hl)		;
	call	bcd2bin
	ld	(hl),a
	ret
;****************************************************
;	a(BCD) => a(BIN) [00h..99h] -> [0..99]
;****************************************************
bcd2bin:
	ld	c,a		;室 ᫮ 00h..99h
; 訩  * 10
	and	0f0h		;訩 
	srl	a		;*8
	ld	b,a		;b=.*8
	srl	a		;*4
	srl	a		;a=.*2
	add	a,b		;
	ld	b,a		;b=(.)*(8+2)
;  訩 
	ld	a,c
	and	0fh		;訩 
	add	a,b		;a=BIN(a(BCD))
	ret
;----------------------------------------------
;  ⥪饣 ६
b_time:	db	0,0,0
; end  zxmc_rtc.inc
